/* $Id: DefaultStateEvent.java 236 2011-06-23 15:18:05Z shayashi $ */
package smart_gs.drawing_tool.state;

import smart_gs.drawing_tool.drawing_mode.BrokenLineMode;
import smart_gs.drawing_tool.drawing_mode.Mode;
import smart_gs.swingui.LineSegmentsEditingFrame;

public class DefaultStateEvent implements StateEvent{

	public void setMoveEvent(Mode mode) {
		if(!(mode instanceof BrokenLineMode)){
			LineSegmentsEditingFrame.polygonalLineClaer();	
		}else{
			LineSegmentsEditingFrame.polygonalLineSet();	
		}
	}

}
